unit Globals;

interface

const
  MB_DEFAULT = -1;
  MB_OK = 0;
  MB_ICONEXCLAMATION = 48;
  MB_ICONASTERICK = 64;

  ESC = 27;
  ENTER = 13;

function  IntToStr(const x: longint): string;
function  StrToInt(const s: string): longint;
function  AllDigits(const s: string): boolean;
procedure ChangeChars(var s: string; const Substr,ChangeTo: string);
function MessageBeep(BeepCode: smallint): boolean;
         stdcall;
         external 'user32.dll' name 'MessageBeep';

implementation

const
  Digits = ['0'..'9'];

function IntToStr;
begin
  Str(x,Result);
end;

function StrToInt;
begin
  Val(s,Result,Result);
end;

function AllDigits;
var
  i: integer;
begin
  Result := TRUE;
  for i := 1 to Length(s) do Result := Result and (s[i] in Digits);
end;

procedure ChangeChars;
var
  p: integer;
begin
  p := Pos(Substr,s);
  Delete(s,p,Length(Substr));
  Insert(ChangeTo,s,p);
end;

end.
